#!/usr/bin/make -f

DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	rm -r debian/$(DEBPKGNAME)/usr/share/gocode
	mv -v debian/$(DEBPKGNAME)/usr/bin/prometheus_varnish_exporter \
		debian/$(DEBPKGNAME)/usr/bin/prometheus-varnish-exporter
